Xerces-J API: Class DecimalDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.validators.datatype
Class DecimalDatatypeValidator

    java.lang.Object
      |
      +--org.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
                  |
                  +--org.apache.xerces.validators.datatype.AbstractNumericValidator
                        |
                        +--org.apache.xerces.validators.datatype.DecimalDatatypeValidator

public class DecimalDatatypeValidator
extends AbstractNumericValidator

DecimalDatatypeValidator validates that content satisfies the W3C XML Datatype for decimal

Version:
  $Id: DecimalDatatypeValidator.java,v 1.26 2001/06/08 20:55:22 sandygao Exp $
Author:
  Elena Litani, Ted Leung, Jeffrey Rodriguez, Mark Swinkles - List Validation refactoring

Field Summary
`protected int` | `fFractionDigits`
`protected int` | `fTotalDigits`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`fEnumeration, fMaxExclusive, fMaxInclusive, fMinExclusive, fMinInclusive, INDETERMINATE`

Fields inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`fBaseValidator, fFacetsDefined, fFlags, fLocale, fMessageProvider, fPattern, fRegex`

Constructor Summary
`DecimalDatatypeValidator()`
`DecimalDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`protected void` | `assignAdditionalFacets(java.lang.String key, java.util.Hashtable facets)`
`protected void` | `checkBaseFacetConstraints()`
`protected void` | `checkContent(java.lang.String content, java.lang.Object state, java.util.Vector enumeration, boolean asBase)`
`protected void` | `checkFacetConstraints()`
`int` | `compare(java.lang.String value1, java.lang.String value2)` Compares content in the Domain value vs.
`protected int` | `compareValues(java.lang.Object value1, java.lang.Object value2)`
`protected java.lang.String` | `getMaxExclusive(boolean isBase)`
`protected java.lang.String` | `getMaxInclusive(boolean isBase)`
`protected java.lang.String` | `getMinExclusive(boolean isBase)`
`protected java.lang.String` | `getMinInclusive(boolean isBase)`
`protected void` | `inheritAdditionalFacets()`
`protected void` | `setEnumeration(java.util.Vector enumeration)`
`protected void` | `setMaxExclusive(java.lang.String value)`
`protected void` | `setMaxInclusive(java.lang.String value)`
`protected void` | `setMinExclusive(java.lang.String value)`
`protected void` | `setMinInclusive(java.lang.String value)`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractNumericValidator
`boundsCheck, checkContentEnum, clone, validate`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractNumericFacetValidator
`initializeValues`

Methods inherited from class org.apache.xerces.validators.datatype.AbstractDatatypeValidator
`getBaseValidator, getErrorString, getWSFacet, setLocale`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fTotalDigits

    protected int fTotalDigits

### fFractionDigits

    protected int fFractionDigits

Constructor Detail

### DecimalDatatypeValidator

    public DecimalDatatypeValidator()
                             throws InvalidDatatypeFacetException

### DecimalDatatypeValidator

    public DecimalDatatypeValidator(DatatypeValidator base,
                                    java.util.Hashtable facets,
                                    boolean derivedByList)
                             throws InvalidDatatypeFacetException

Method Detail

### compare

    public int compare(java.lang.String value1,
                       java.lang.String value2)

  Description copied from interface: DatatypeValidator
  Compares content in the Domain value vs. lexical value. e.g. If type is a float then 1.0 may be equivalent to 1 even tough both are lexically different.
  Tags copied from interface: DatatypeValidator
  Parameters:
    `value1` -
    `valu2` -
  Returns:

### inheritAdditionalFacets

    protected void inheritAdditionalFacets()

  Overrides:
    inheritAdditionalFacets in class AbstractNumericFacetValidator

### checkFacetConstraints

    protected void checkFacetConstraints()
                                  throws InvalidDatatypeFacetException

  Overrides:
    checkFacetConstraints in class AbstractNumericFacetValidator

### checkBaseFacetConstraints

    protected void checkBaseFacetConstraints()
                                      throws InvalidDatatypeFacetException

  Overrides:
    checkBaseFacetConstraints in class AbstractNumericFacetValidator

### assignAdditionalFacets

    protected void assignAdditionalFacets(java.lang.String key,
                                          java.util.Hashtable facets)
                                   throws InvalidDatatypeFacetException

  Overrides:
    assignAdditionalFacets in class AbstractNumericFacetValidator

### compareValues

    protected int compareValues(java.lang.Object value1,
                                java.lang.Object value2)

  Overrides:
    compareValues in class AbstractNumericFacetValidator

### setMaxInclusive

    protected void setMaxInclusive(java.lang.String value)

  Overrides:
    setMaxInclusive in class AbstractNumericFacetValidator

### setMinInclusive

    protected void setMinInclusive(java.lang.String value)

  Overrides:
    setMinInclusive in class AbstractNumericFacetValidator

### setMaxExclusive

    protected void setMaxExclusive(java.lang.String value)

  Overrides:
    setMaxExclusive in class AbstractNumericFacetValidator

### setMinExclusive

    protected void setMinExclusive(java.lang.String value)

  Overrides:
    setMinExclusive in class AbstractNumericFacetValidator

### setEnumeration

    protected void setEnumeration(java.util.Vector enumeration)
                           throws InvalidDatatypeValueException

  Overrides:
    setEnumeration in class AbstractNumericFacetValidator

### getMaxInclusive

    protected java.lang.String getMaxInclusive(boolean isBase)

  Overrides:
    getMaxInclusive in class AbstractNumericFacetValidator

### getMinInclusive

    protected java.lang.String getMinInclusive(boolean isBase)

  Overrides:
    getMinInclusive in class AbstractNumericFacetValidator

### getMaxExclusive

    protected java.lang.String getMaxExclusive(boolean isBase)

  Overrides:
    getMaxExclusive in class AbstractNumericFacetValidator

### getMinExclusive

    protected java.lang.String getMinExclusive(boolean isBase)

  Overrides:
    getMinExclusive in class AbstractNumericFacetValidator

### checkContent

    protected void checkContent(java.lang.String content,
                                java.lang.Object state,
                                java.util.Vector enumeration,
                                boolean asBase)
                         throws InvalidDatatypeValueException

  Overrides:
    checkContent in class AbstractNumericValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.